Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.transport.http
Class XFireServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.codehaus.xfire.transport.http.XFireServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Direct Known Subclasses:
  LoomXFireServlet, PlexusXFireServlet, XFireConfigurableServlet, XFireSpringServlet

    public class XFireServlet

extends javax.servlet.http.HttpServlet

A servlet which processes incoming XFire requests. It delegates to the XFireController to process the request.

Since:
  Feb 13, 2004
Author:
  Dan Diephouse
See Also:
  Serialized Form

Constructor Summary
`XFireServlet()`

Method Summary
`XFireServletController` | `createController()`
`XFire` | `createXFire()`
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Delegates to `XFireServletController.doService(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`.
`protected void` | `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Delegates to `XFireServletController.doService(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`.
`XFireServletController` | `getController()` Get the xfire controller.
`XFire` | `getXFire()` Get the xfire instance.
`void` | `init()`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XFireServlet

    public XFireServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### getXFire

    public XFire getXFire()
                   throws javax.servlet.ServletException

  Get the xfire instance. if it hasn't been created, then `createXFire()` will be called.

  Throws:
    `javax.servlet.ServletException`

### getController

    public XFireServletController getController()
                                         throws javax.servlet.ServletException

  Get the xfire controller. if it hasn't been created, then `createController()` will be called.

  Throws:
    `javax.servlet.ServletException`

### createXFire

    public XFire createXFire()
                      throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### createController

    public XFireServletController createController()
                                            throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Delegates to `XFireServletController.doService(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest req,
                          javax.servlet.http.HttpServletResponse res)
                   throws javax.servlet.ServletException,
                          java.io.IOException

  Delegates to `XFireServletController.doService(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`.

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.